/**
 * Copyright (C) 2012-2016  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.client;

import java.util.Map;

public class TableExporter
{

    private boolean exportCsvFileEnabled = false;

    private boolean exportMdbFileEnabled = false;

    private boolean exportPdfFileEnabled = false;

    private boolean exportXlsFileEnabled = false;

    public void processData( Map<String, String> tableExportData )
    {
        if ( tableExportData == null || tableExportData.keySet()
                                                       .size() == 0 )
        {
            return;
        }

        if ( tableExportData.containsKey( "exportCsvFileEnabled" ) )
        {
            exportCsvFileEnabled = Boolean.parseBoolean( tableExportData.get( "exportCsvFileEnabled" ) );
        }

        if ( tableExportData.containsKey( "exportMdbFileEnabled" ) )
        {
            exportMdbFileEnabled = Boolean.parseBoolean( tableExportData.get( "exportMdbFileEnabled" ) );
        }

        if ( tableExportData.containsKey( "exportPdfFileEnabled" ) )
        {
            exportPdfFileEnabled = Boolean.parseBoolean( tableExportData.get( "exportPdfFileEnabled" ) );
        }

        if ( tableExportData.containsKey( "exportXlsFileEnabled" ) )
        {
            exportXlsFileEnabled = Boolean.parseBoolean( tableExportData.get( "exportXlsFileEnabled" ) );
        }
    }

    public boolean isExportCsvFileEnabled()
    {
        return exportCsvFileEnabled;
    }

    public boolean isExportMdbFileEnabled()
    {
        return exportMdbFileEnabled;
    }

    public boolean isExportPdfFileEnabled()
    {
        return exportPdfFileEnabled;
    }

    public boolean isExportXlsFileEnabled()
    {
        return exportXlsFileEnabled;
    }

}
